NetBSD Problem Report #50419

From oster@cs.usask.ca  Tue Nov 10 17:37:54 2015
Return-Path: <oster@cs.usask.ca>
Received: from mail.netbsd.org (mail.netbsd.org [149.20.53.66])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(Client CN "mail.netbsd.org", Issuer "Postmaster NetBSD.org" (verified OK))
	by mollari.NetBSD.org (Postfix) with ESMTPS id A81F5A64EF
	for <gnats-bugs@gnats.NetBSD.org>; Tue, 10 Nov 2015 17:37:54 +0000 (UTC)
Message-Id: <20151110173548.06BC987D39@mickey.usask.ca>
Date: Tue, 10 Nov 2015 11:35:47 -0600 (CST)
From: oster@netbsd.org
Reply-To: oster@netbsd.org
To: gnats-bugs@NetBSD.org
Subject: math/cantor fails to build with python34
X-Send-Pr-Version: 3.95

>Number:         50419
>Category:       pkg
>Synopsis:       math/cantor fails to build with python34
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    markd
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Tue Nov 10 17:40:00 +0000 2015
>Last-Modified:  Mon Dec 28 15:41:36 +0000 2015
>Originator:     Greg Oster
>Release:        NetBSD 7.0
>Organization:
>Environment:


System: NetBSD mickey 7.0 NetBSD 7.0 (QUAD) #0: Mon Sep 28 11:54:36 CST 2015 oster@quad:/u1/builds/build265/src/obj/amd64/u1/builds/build265/src/sys/arch/amd64/compile/QUAD amd64
Architecture: x86_64
Machine: amd64
>Description:

The math/cantor package fails to build if python34 is the default python.
The error is as follows:

In file included from /usr/pkgsrc/math/cantor/work.mickey/.buildlink/include/python3.4/pytime.h:6:0,
                 from /usr/pkgsrc/math/cantor/work.mickey/.buildlink/include/python3.4/Python.h:65,
                 from /usr/pkgsrc/math/cantor/work.mickey/cantor-4.14.3/src/backends/python2/python2session.h:28,
                 from /usr/pkgsrc/math/cantor/work.mickey/cantor-4.14.3/src/backends/python2/python2completionobject.cpp:25:
/usr/pkgsrc/math/cantor/work.mickey/.buildlink/include/python3.4/object.h:435:23: error: expected unqualified-id before ';' token
     PyType_Slot *slots; /* terminated by slot==0. */
                       ^

The issue appears to be that 'slots' is a reserved keyword in Qt, and
causes conflicts:

 http://comments.gmane.org/gmane.comp.kde.releases/7327
 https://forum.qt.io/topic/30966/solved-qt-c-app-and-embedded-python/3
 http://stackoverflow.com/questions/23068700/embedding-python3-in-qt-5
 http://doc.qt.io/qt-4.8/signalsandslots.html#using-qt-with-3rd-party-signals-and-slots

>How-To-Repeat:

	set 'PYTHON_VERSION_DEFAULT = 34' in /etc/mk.conf
	cd /usr/pkgsrc/math/cantor
	make install

>Fix:

As a workaround(fix?), adding the following:

PYTHON_VERSIONS_INCOMPATIBLE=   33 34 

to math/cantor/Makefile
forces the build to use python27, which works fine.



>Release-Note:

>Audit-Trail:

Responsible-Changed-From-To: pkg-manager->markd
Responsible-Changed-By: bsiegert@NetBSD.org
Responsible-Changed-When: Mon, 28 Dec 2015 15:41:36 +0000
Responsible-Changed-Why:
Over to maintainer.


>Unformatted:

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.39 2013/11/01 18:47:49 spz Exp $
$NetBSD: gnats_config.sh,v 1.8 2006/05/07 09:23:38 tsutsui Exp $
Copyright © 1994-2014 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.